View Issue Details

IDProjectCategoryView StatusLast Update
0031769Open CASCADEOCCT:Application Frameworkpublic2020-12-02 17:13
Reportermpv Assigned Tobugmaster  
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031769: Application Framework - regression : can not initialize two kinds of application in one thread
DescriptionIn draw
pload ALL TOBJ
produces OSD_Exception_ACCESS_VIOLATION
Steps To Reproducebugs caf bug31769
TagsNo tags attached.
Test case numberbugs/caf/bug31769

Relationships

related to 0029195 closedabv OCAF - ensure thread safety for different documents 

Activities

git

2020-09-15 16:17

administrator   ~0094855

Branch CR31769 has been created by mpv.

SHA-1: 6eb753ed8c76c8645fc0fd3d342c6f5cbbbd3f67


Detailed log of new commits:

Author: mpv
Date: Tue Sep 15 16:20:01 2020 +0300

    0031769: Application Framework - regression : can not initialize two kinds of application in one thread

mpv

2020-09-16 08:33

developer   ~0094896

Resolved. Please, review CR31769.

http://jenkins-test-12.nnov.opencascade.com/view/CR31769-master-MPV/view/COMPARE/

szy

2020-09-16 12:22

manager   ~0094903

Reviewed.

bugmaster

2020-09-19 17:22

administrator   ~0095082

Combination -
OCCT branch : IR-2020-09-18
master SHA - b0b766826118f74b9857a932b8cec8c52a25c492
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-18 SHA - a6486d839da1ba1383ef6cc1a1a446a172f494c7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17528.97000000011 / 17378.390000000145 [+0.87%]
Products
Total CPU difference: 12127.32000000009 / 12079.540000000095 [+0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 18862.703125 / 18898.921875 [-0.19%]
Products
Total CPU difference: 13314.828125 / 13329.21875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-09-20 11:13

administrator   ~0095118

Branch CR31769 has been deleted by inv.

SHA-1: 6eb753ed8c76c8645fc0fd3d342c6f5cbbbd3f67

Related Changesets

occt: master ee3280a9

2020-09-15 13:20:01

mpv


Committer: bugmaster Details Diff
0031769: Application Framework - regression : can not initialize two kinds of application in one thread Affected Issues
0031769
mod - src/TObj/TObj_Application.cxx Diff File
add - tests/bugs/caf/bug31769 Diff File

Issue History

Date Modified Username Field Change
2020-09-15 13:43 mpv New Issue
2020-09-15 13:43 mpv Assigned To => mpv
2020-09-15 13:44 mpv Relationship added related to 0029195
2020-09-15 16:17 git Note Added: 0094855
2020-09-16 08:33 mpv Note Added: 0094896
2020-09-16 08:33 mpv Status new => resolved
2020-09-16 08:33 mpv Steps to Reproduce Updated
2020-09-16 08:34 mpv Assigned To mpv => szy
2020-09-16 12:22 szy Note Added: 0094903
2020-09-16 12:22 szy Assigned To szy => bugmaster
2020-09-16 12:22 szy Status resolved => reviewed
2020-09-19 15:48 bugmaster Test case number => bugs/caf/bug31769
2020-09-19 17:22 bugmaster Note Added: 0095082
2020-09-19 17:22 bugmaster Status reviewed => tested
2020-09-20 10:55 bugmaster Changeset attached => occt master ee3280a9
2020-09-20 10:55 bugmaster Status tested => verified
2020-09-20 10:55 bugmaster Resolution open => fixed
2020-09-20 11:13 git Note Added: 0095118
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed